"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "po/Makefile.in.in" between
msmtp-1.8.8.tar.xz and msmtp-1.8.10.tar.xz

About: msmtp is an SMTP client with a sendmail compatible interface. It can be used with Mutt and other mail user agents.

Makefile.in.in  (msmtp-1.8.8.tar.xz):Makefile.in.in  (msmtp-1.8.10.tar.xz)
# Makefile for PO directory in any package using GNU gettext. # Makefile for PO directory in any package using GNU gettext.
# Copyright (C) 1995-1997, 2000-2007, 2009-2010 by Ulrich Drepper <drepper@gnu.a # Copyright (C) 1995-2000 Ulrich Drepper <drepper@gnu.ai.mit.edu>
i.mit.edu> # Copyright (C) 2000-2020 Free Software Foundation, Inc.
# #
# Copying and distribution of this file, with or without modification, # Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright # are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved. This file is offered as-is, # notice and this notice are preserved. This file is offered as-is,
# without any warranty. # without any warranty.
# #
# Origin: gettext-0.19.8 # Origin: gettext-0.20.2
GETTEXT_MACRO_VERSION = 0.19 GETTEXT_MACRO_VERSION = 0.20
PACKAGE = @PACKAGE@ PACKAGE = @PACKAGE@
VERSION = @VERSION@ VERSION = @VERSION@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@ PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
SED = @SED@ SED = @SED@
SHELL = /bin/sh SHELL = /bin/sh
@SET_MAKE@ @SET_MAKE@
srcdir = @srcdir@ srcdir = @srcdir@
skipping to change at line 55 skipping to change at line 56
# When building gettext-tools, we prefer to use the built programs # When building gettext-tools, we prefer to use the built programs
# rather than installed programs. However, we can't do that when we # rather than installed programs. However, we can't do that when we
# are cross compiling. # are cross compiling.
CROSS_COMPILING = @CROSS_COMPILING@ CROSS_COMPILING = @CROSS_COMPILING@
GMSGFMT_ = @GMSGFMT@ GMSGFMT_ = @GMSGFMT@
GMSGFMT_no = @GMSGFMT@ GMSGFMT_no = @GMSGFMT@
GMSGFMT_yes = @GMSGFMT_015@ GMSGFMT_yes = @GMSGFMT_015@
GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT)) GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
MSGFMT_ = @MSGFMT@
MSGFMT_no = @MSGFMT@
MSGFMT_yes = @MSGFMT_015@
MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
XGETTEXT_ = @XGETTEXT@ XGETTEXT_ = @XGETTEXT@
XGETTEXT_no = @XGETTEXT@ XGETTEXT_no = @XGETTEXT@
XGETTEXT_yes = @XGETTEXT_015@ XGETTEXT_yes = @XGETTEXT_015@
XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT)) XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
MSGMERGE = msgmerge MSGMERGE = @MSGMERGE@
MSGMERGE_UPDATE = @MSGMERGE@ --update MSGMERGE_UPDATE = @MSGMERGE@ --update
MSGMERGE_FOR_MSGFMT_OPTION = @MSGMERGE_FOR_MSGFMT_OPTION@
MSGINIT = msginit MSGINIT = msginit
MSGCONV = msgconv MSGCONV = msgconv
MSGFILTER = msgfilter MSGFILTER = msgfilter
POFILES = @POFILES@ POFILES = @POFILES@
GMOFILES = @GMOFILES@ GMOFILES = @GMOFILES@
UPDATEPOFILES = @UPDATEPOFILES@ UPDATEPOFILES = @UPDATEPOFILES@
DUMMYPOFILES = @DUMMYPOFILES@ DUMMYPOFILES = @DUMMYPOFILES@
DISTFILES.common = Makefile.in.in remove-potcdate.sin \ DISTFILES.common = Makefile.in.in remove-potcdate.sin \
$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3) $(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
skipping to change at line 95 skipping to change at line 93
POFILESDEPS_no = POFILESDEPS_no =
POFILESDEPS = $(POFILESDEPS_$(PO_DEPENDS_ON_POT)) POFILESDEPS = $(POFILESDEPS_$(PO_DEPENDS_ON_POT))
DISTFILESDEPS_ = update-po DISTFILESDEPS_ = update-po
DISTFILESDEPS_yes = $(DISTFILESDEPS_) DISTFILESDEPS_yes = $(DISTFILESDEPS_)
DISTFILESDEPS_no = DISTFILESDEPS_no =
DISTFILESDEPS = $(DISTFILESDEPS_$(DIST_DEPENDS_ON_UPDATE_PO)) DISTFILESDEPS = $(DISTFILESDEPS_$(DIST_DEPENDS_ON_UPDATE_PO))
# Makevars gets inserted here. (Don't remove this line!) # Makevars gets inserted here. (Don't remove this line!)
.SUFFIXES: all: all-@USE_NLS@
.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update
.po.mo: .SUFFIXES:
@echo "$(MSGFMT) -c -o $@ $<"; \ .SUFFIXES: .po .gmo .sed .sin .nop .po-create .po-update
$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@
# The .pot file, stamp-po, .po files, and .gmo files appear in release tarballs.
# The GNU Coding Standards say in
# <https://www.gnu.org/prep/standards/html_node/Makefile-Basics.html>:
# "GNU distributions usually contain some files which are not source files
# ... . Since these files normally appear in the source directory, they
# should always appear in the source directory, not in the build directory.
# So Makefile rules to update them should put the updated files in the
# source directory."
# Therefore we put these files in the source directory, not the build directory.
# During .po -> .gmo conversion, take into account the most recent changes to
# the .pot file. This eliminates the need to update the .po files when the
# .pot file has changed, which would be troublesome if the .po files are put
# under version control.
$(GMOFILES): $(srcdir)/$(DOMAIN).pot
.po.gmo: .po.gmo:
@lang=`echo $* | sed -e 's,.*/,,'`; \ @lang=`echo $* | sed -e 's,.*/,,'`; \
test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \ test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose echo "$${cdcmd}rm -f $${lang}.gmo && $(MSGMERGE) $(MSGMERGE_FOR_MSGFMT_OP
-o $${lang}.gmo $${lang}.po"; \ TION) -o $${lang}.1po $${lang}.po $(DOMAIN).pot && $(GMSGFMT) -c --statistics --
cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbos verbose -o $${lang}.gmo $${lang}.1po && rm -f $${lang}.1po"; \
e -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo cd $(srcdir) && \
rm -f $${lang}.gmo && \
$(MSGMERGE) $(MSGMERGE_FOR_MSGFMT_OPTION) -o $${lang}.1po $${lang}.po $(D
OMAIN).pot && \
$(GMSGFMT) -c --statistics --verbose -o t-$${lang}.gmo $${lang}.1po && \
mv t-$${lang}.gmo $${lang}.gmo && \
rm -f $${lang}.1po
.sin.sed: .sin.sed:
sed -e '/^#/d' $< > t-$@ sed -e '/^#/d' $< > t-$@
mv t-$@ $@ mv t-$@ $@
all: all-@USE_NLS@ all-yes: $(srcdir)/stamp-po
all-yes: stamp-po
all-no: all-no:
# Ensure that the gettext macros and this Makefile.in.in are in sync. # Ensure that the gettext macros and this Makefile.in.in are in sync.
CHECK_MACRO_VERSION = \ CHECK_MACRO_VERSION = \
test "$(GETTEXT_MACRO_VERSION)" = "@GETTEXT_MACRO_VERSION@" \ test "$(GETTEXT_MACRO_VERSION)" = "@GETTEXT_MACRO_VERSION@" \
|| { echo "*** error: gettext infrastructure mismatch: using a Makefile .in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version @GETTEXT_MACRO_VERSION@" 1>&2; \ || { echo "*** error: gettext infrastructure mismatch: using a Makefile .in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version @GETTEXT_MACRO_VERSION@" 1>&2; \
exit 1; \ exit 1; \
} }
# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no # $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because # internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
# we don't want to bother translators with empty POT files). We assume that # we don't want to bother translators with empty POT files). We assume that
# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty. # LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
# In this case, stamp-po is a nop (i.e. a phony target). # In this case, $(srcdir)/stamp-po is a nop (i.e. a phony target).
# stamp-po is a timestamp denoting the last time at which the CATALOGS have # $(srcdir)/stamp-po is a timestamp denoting the last time at which the CATALOGS
# been loosely updated. Its purpose is that when a developer or translator # have been loosely updated. Its purpose is that when a developer or translator
# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS, # checks out the package from a version control system, and the $(DOMAIN).pot
# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent # file is not under version control, "make" will update the $(DOMAIN).pot and
# invocations of "make" will do nothing. This timestamp would not be necessary # the $(CATALOGS), but subsequent invocations of "make" will do nothing. This
# if updating the $(CATALOGS) would always touch them; however, the rule for # timestamp would not be necessary if updating the $(CATALOGS) would always
# $(POFILES) has been designed to not touch files that don't need to be # touch them; however, the rule for $(POFILES) has been designed to not touch
# changed. # files that don't need to be changed.
stamp-po: $(srcdir)/$(DOMAIN).pot $(srcdir)/stamp-po: $(srcdir)/$(DOMAIN).pot
@$(CHECK_MACRO_VERSION) @$(CHECK_MACRO_VERSION)
test ! -f $(srcdir)/$(DOMAIN).pot || \ test ! -f $(srcdir)/$(DOMAIN).pot || \
test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES) test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
@test ! -f $(srcdir)/$(DOMAIN).pot || { \ @test ! -f $(srcdir)/$(DOMAIN).pot || { \
echo "touch stamp-po" && \ echo "touch $(srcdir)/stamp-po" && \
echo timestamp > stamp-poT && \ echo timestamp > $(srcdir)/stamp-poT && \
mv stamp-poT stamp-po; \ mv $(srcdir)/stamp-poT $(srcdir)/stamp-po; \
} }
# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update', # Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
# otherwise packages like GCC can not be built if only parts of the source # otherwise packages like GCC can not be built if only parts of the source
# have been downloaded. # have been downloaded.
# This target rebuilds $(DOMAIN).pot; it is an expensive operation. # This target rebuilds $(DOMAIN).pot; it is an expensive operation.
# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed. # Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
# The determination of whether the package xyz is a GNU one is based on the # The determination of whether the package xyz is a GNU one is based on the
# heuristic whether some file in the top level directory mentions "GNU xyz". # heuristic whether some file in the top level directory mentions "GNU xyz".
# If GNU 'find' is available, we avoid grepping through monster files. # If GNU 'find' is available, we avoid grepping through monster files.
$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed $(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
package_gnu="$(PACKAGE_GNU)"; \ package_gnu="$(PACKAGE_GNU)"; \
test -n "$$package_gnu" || { \ test -n "$$package_gnu" || { \
if { if (LC_ALL=C find --version) 2>/dev/null | grep GNU >/dev/null; th en \ if { if (LC_ALL=C find --version) 2>/dev/null | grep GNU >/dev/null; th en \
LC_ALL=C find -L $(top_srcdir) -maxdepth 1 -type f \ LC_ALL=C find -L $(top_srcdir) -maxdepth 1 -type f -size -100000
-size -10000000c -exec grep 'GNU @PACKAGE@' \ 00c -exec grep -i 'GNU @PACKAGE@' /dev/null '{}' ';' 2>/dev/null; \
/dev/null '{}' ';' 2>/dev/null; \
else \ else \
LC_ALL=C grep 'GNU @PACKAGE@' $(top_srcdir)/* 2>/dev/null; \ LC_ALL=C grep -i 'GNU @PACKAGE@' $(top_srcdir)/* 2>/dev/null; \
fi; \ fi; \
} | grep -v 'libtool:' >/dev/null; then \ } | grep -v 'libtool:' >/dev/null; then \
package_gnu=yes; \ package_gnu=yes; \
else \ else \
package_gnu=no; \ package_gnu=no; \
fi; \ fi; \
}; \ }; \
if test "$$package_gnu" = "yes"; then \ if test "$$package_gnu" = "yes"; then \
package_prefix='GNU '; \ package_prefix='GNU '; \
else \ else \
package_prefix=''; \ package_prefix=''; \
fi; \ fi; \
if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PA CKAGE_BUGREPORT'@'; then \ if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PA CKAGE_BUGREPORT'@'; then \
msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \ msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
else \ else \
msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \ msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
fi; \ fi; \
case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \ case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
'' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \ '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \
$(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \ $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
--add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPT IONS@ \ --add-comments=TRANSLATORS: \
--files-from=$(srcdir)/POTFILES.in \ --files-from=$(srcdir)/POTFILES.in \
--copyright-holder='$(COPYRIGHT_HOLDER)' \ --copyright-holder='$(COPYRIGHT_HOLDER)' \
--msgid-bugs-address="$$msgid_bugs_address" \ --msgid-bugs-address="$$msgid_bugs_address" \
$(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
;; \ ;; \
*) \ *) \
$(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \ $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
--add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPT IONS@ \ --add-comments=TRANSLATORS: \
--files-from=$(srcdir)/POTFILES.in \ --files-from=$(srcdir)/POTFILES.in \
--copyright-holder='$(COPYRIGHT_HOLDER)' \ --copyright-holder='$(COPYRIGHT_HOLDER)' \
--package-name="$${package_prefix}@PACKAGE@" \ --package-name="$${package_prefix}@PACKAGE@" \
--package-version='@VERSION@' \ --package-version='@VERSION@' \
--msgid-bugs-address="$$msgid_bugs_address" \ --msgid-bugs-address="$$msgid_bugs_address" \
$(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
;; \ ;; \
esac esac
test ! -f $(DOMAIN).po || { \ test ! -f $(DOMAIN).po || { \
if test -f $(srcdir)/$(DOMAIN).pot-header; then \ if test -f $(srcdir)/$(DOMAIN).pot-header; then \
sed -e '1,/^#$$/d' < $(DOMAIN).po > $(DOMAIN).1po && \ sed -e '1,/^#$$/d' < $(DOMAIN).po > $(DOMAIN).1po && \
cat $(srcdir)/$(DOMAIN).pot-header $(DOMAIN).1po > $(DOMAIN).po; \ cat $(srcdir)/$(DOMAIN).pot-header $(DOMAIN).1po > $(DOMAIN).po && \
rm -f $(DOMAIN).1po; \ rm -f $(DOMAIN).1po \
|| exit 1; \
fi; \ fi; \
if test -f $(srcdir)/$(DOMAIN).pot; then \ if test -f $(srcdir)/$(DOMAIN).pot; then \
sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \ sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \ sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \ if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \ rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
else \ else \
rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \ rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \ mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
fi; \ fi; \
skipping to change at line 230 skipping to change at line 245
# This rule has no dependencies: we don't need to update $(DOMAIN).pot at # This rule has no dependencies: we don't need to update $(DOMAIN).pot at
# every "make" invocation, only create it when it is missing. # every "make" invocation, only create it when it is missing.
# Only "make $(DOMAIN).pot-update" or "make dist" will force an update. # Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
$(srcdir)/$(DOMAIN).pot: $(srcdir)/$(DOMAIN).pot:
$(MAKE) $(DOMAIN).pot-update $(MAKE) $(DOMAIN).pot-update
# This target rebuilds a PO file if $(DOMAIN).pot has changed. # This target rebuilds a PO file if $(DOMAIN).pot has changed.
# Note that a PO file is not touched if it doesn't need to be changed. # Note that a PO file is not touched if it doesn't need to be changed.
$(POFILES): $(POFILESDEPS) $(POFILES): $(POFILESDEPS)
@test -f $(srcdir)/$(DOMAIN).pot || $(MAKE) $(srcdir)/$(DOMAIN).pot
@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \ @lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
if test -f "$(srcdir)/$${lang}.po"; then \ if test -f "$(srcdir)/$${lang}.po"; then \
test -f $(srcdir)/$(DOMAIN).pot || $(MAKE) $(srcdir)/$(DOMAIN).pot; \
test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \ test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
echo "$${cdcmd}$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $ ${lang}.po $(DOMAIN).pot"; \ echo "$${cdcmd}$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} - -previous $${lang}.po $(DOMAIN).pot"; \
cd $(srcdir) \ cd $(srcdir) \
&& { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in && { case `$(MSGMERGE_UPDATE) --version | sed 1q | sed -e 's,^[^0-9]*
\ ,,'` in \
'' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \ '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].*) \
$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) $${lang}.po $(DOMAIN) .pot;; \ $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) $${lang}.po $(DOMAIN) .pot;; \
0.1[6-7] | 0.1[6-7].*) \
$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --previous $${lang}.p
o $(DOMAIN).pot;; \
*) \ *) \
$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${la ng}.po $(DOMAIN).pot;; \ $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} --pre vious $${lang}.po $(DOMAIN).pot;; \
esac; \ esac; \
}; \ }; \
else \ else \
$(MAKE) $${lang}.po-create; \ $(MAKE) $${lang}.po-create; \
fi fi
install: install-exec install-data install: install-exec install-data
install-exec: install-exec:
install-data: install-data-@USE_NLS@ install-data: install-data-@USE_NLS@
if test "$(PACKAGE)" = "gettext-tools"; then \ if test "$(PACKAGE)" = "gettext-tools"; then \
skipping to change at line 374 skipping to change at line 391
lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \ lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \ for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \ rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
done; \ done; \
done done
check: all check: all
info dvi ps pdf html tags TAGS ctags CTAGS ID: info dvi ps pdf html tags TAGS ctags CTAGS ID:
install-dvi install-ps install-pdf install-html:
mostlyclean: mostlyclean:
rm -f remove-potcdate.sed rm -f remove-potcdate.sed
rm -f stamp-poT rm -f $(srcdir)/stamp-poT
rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
rm -fr *.o rm -fr *.o
clean: mostlyclean clean: mostlyclean
distclean: clean distclean: clean
rm -f Makefile Makefile.in POTFILES *.mo rm -f Makefile Makefile.in POTFILES
maintainer-clean: distclean maintainer-clean: distclean
@echo "This command is intended for maintainers to use;" @echo "This command is intended for maintainers to use;"
@echo "it deletes files that may require special tools to rebuild." @echo "it deletes files that may require special tools to rebuild."
rm -f stamp-po $(GMOFILES) rm -f $(srcdir)/$(DOMAIN).pot $(srcdir)/stamp-po $(GMOFILES)
distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir) distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: dist distdir:
test -z "$(DISTFILESDEPS)" || $(MAKE) $(DISTFILESDEPS) test -z "$(DISTFILESDEPS)" || $(MAKE) $(DISTFILESDEPS)
@$(MAKE) dist2 @$(MAKE) dist2
# This is a separate target because 'update-po' must be executed before. # This is a separate target because 'update-po' must be executed before.
dist2: stamp-po $(DISTFILES) dist2: $(srcdir)/stamp-po $(DISTFILES)
dists="$(DISTFILES)"; \ dists="$(DISTFILES)"; \
if test "$(PACKAGE)" = "gettext-tools"; then \ if test "$(PACKAGE)" = "gettext-tools"; then \
dists="$$dists Makevars.template"; \ dists="$$dists Makevars.template"; \
fi; \ fi; \
if test -f $(srcdir)/$(DOMAIN).pot; then \ if test -f $(srcdir)/$(DOMAIN).pot; then \
dists="$$dists $(DOMAIN).pot stamp-po"; \ dists="$$dists $(DOMAIN).pot stamp-po"; \
fi; \ fi; \
if test -f $(srcdir)/ChangeLog; then \ if test -f $(srcdir)/ChangeLog; then \
dists="$$dists ChangeLog"; \ dists="$$dists ChangeLog"; \
fi; \ fi; \
skipping to change at line 440 skipping to change at line 459
exit 1 exit 1
# General rule for updating PO files. # General rule for updating PO files.
.nop.po-update: .nop.po-update:
@lang=`echo $@ | sed -e 's/\.po-update$$//'`; \ @lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
if test "$(PACKAGE)" = "gettext-tools" && test "$(CROSS_COMPILING)" != "y es"; then PATH=`pwd`/../src:$$PATH; fi; \ if test "$(PACKAGE)" = "gettext-tools" && test "$(CROSS_COMPILING)" != "y es"; then PATH=`pwd`/../src:$$PATH; fi; \
tmpdir=`pwd`; \ tmpdir=`pwd`; \
echo "$$lang:"; \ echo "$$lang:"; \
test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \ test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
echo "$${cdcmd}$(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang $$lang.po $( DOMAIN).pot -o $$lang.new.po"; \ echo "$${cdcmd}$(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang --previous $ $lang.po $(DOMAIN).pot -o $$lang.new.po"; \
cd $(srcdir); \ cd $(srcdir); \
if { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \ if { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
'' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \ '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].*) \
$(MSGMERGE) $(MSGMERGE_OPTIONS) -o $$tmpdir/$$lang.new.po $$lang .po $(DOMAIN).pot;; \ $(MSGMERGE) $(MSGMERGE_OPTIONS) -o $$tmpdir/$$lang.new.po $$lang .po $(DOMAIN).pot;; \
0.1[6-7] | 0.1[6-7].*) \
$(MSGMERGE) $(MSGMERGE_OPTIONS) --previous -o $$tmpdir/$$lang.ne
w.po $$lang.po $(DOMAIN).pot;; \
*) \ *) \
$(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang -o $$tmpdir/$$lang .new.po $$lang.po $(DOMAIN).pot;; \ $(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang --previous -o $$tm pdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
esac; \ esac; \
}; then \ }; then \
if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \ if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
rm -f $$tmpdir/$$lang.new.po; \ rm -f $$tmpdir/$$lang.new.po; \
else \ else \
if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \ if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
:; \ :; \
else \ else \
echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.ne w.po to $$lang.po" 1>&2; \ echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.ne w.po to $$lang.po" 1>&2; \
exit 1; \ exit 1; \
 End of changes. 35 change blocks. 
55 lines changed or deleted 79 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)